summaryrefslogtreecommitdiffstats
path: root/debian/tests/pytest
diff options
context:
space:
mode:
Diffstat (limited to 'debian/tests/pytest')
-rw-r--r--debian/tests/pytest13
1 files changed, 13 insertions, 0 deletions
diff --git a/debian/tests/pytest b/debian/tests/pytest
new file mode 100644
index 0000000..54ef298
--- /dev/null
+++ b/debian/tests/pytest
@@ -0,0 +1,13 @@
+#!/bin/sh
+set -efu
+
+pys="$(py3versions -s 2> /dev/null)"
+
+cp -a tests "$AUTOPKGTEST_TMP"
+cd "$AUTOPKGTEST_TMP"
+
+
+for py in $pys; do
+ echo "=== $py ==="
+ $py -m pytest
+done